Index: units/helpers/multilanguage_helper.php
===================================================================
--- units/helpers/multilanguage_helper.php	(revision 15359)
+++ units/helpers/multilanguage_helper.php	(working copy)
@@ -420,6 +420,14 @@
 		public function getPluralPhrase($number, $forms, $allow_editing = true, $use_admin = false)
 		{
 			// normalize given forms
+			if ( !array_key_exists('phrase3', $forms) ) {
+				$forms['phrase3'] = $forms['phrase2'];
+			}
+
+			if ( !array_key_exists('phrase4', $forms) ) {
+				$forms['phrase4'] = $forms['phrase2'];
+			}
+
 			if ( !array_key_exists('phrase5', $forms) ) {
 				$forms['phrase5'] = $forms['phrase2'];
 			}
@@ -440,17 +448,14 @@
 		{
 			$last_digit = substr($number, -1);
 			$last_but_one_digit = strlen($number) > 1 ? substr($number, -2, 1) : false;
-			$phrase_type = '5';
+			$phrase_type = 5;
 
 			if ( $last_but_one_digit != 1 ) {
-				if ( $last_digit == 1 ) {
-					$phrase_type = '1';
+				if ( $last_digit >= 1 && $last_digit <= 4 ) {
+					$phrase_type = $last_digit;
 				}
-				elseif ( $last_digit >= 2 && $last_digit <= 4 ) {
-					$phrase_type = '2';
-				}
 			}
 
-			return $phrase_type;
+			return (string)$phrase_type;
 		}
 	}
